For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Reference
    • Introduction
      • GETList Payments
      • POSTAuth
      • POSTCapture Full Payment
      • GETGet Payment By Order ID
      • PUTUpdate Payment by Order ID
      • POSTCapture Payment
      • PUTUpdate Shipping Courier
      • POSTCreate Refund
      • POSTVoid
      • GETGet Payment By Token
      • POSTReverse Payment By Token
LogoLogo
ReferencePayments

List Payments

GET
/v2/payments
GET
/v2/payments
$curl https://global-api-sandbox.afterpay.com/v2/payments \
> -H "User-Agent: User-Agent" \
> -u "<username>:<password>"
1{
2 "totalResults": 445,
3 "offset": 3,
4 "limit": 1,
5 "results": [
6 {
7 "id": "string",
8 "token": "005.2fkv5o963b132z8ppa34srlh60987y87d55re237wsg9tr4q2",
9 "status": "APPROVED",
10 "created": "string",
11 "originalAmount": {
12 "amount": "100.00",
13 "currency": "AUD"
14 },
15 "openToCaptureAmount": {
16 "amount": "100.00",
17 "currency": "AUD"
18 },
19 "paymentState": "AUTH_APPROVED",
20 "merchantReference": "merchant-order-123",
21 "refunds": [
22 {
23 "amount": {
24 "amount": "100.00",
25 "currency": "AUD"
26 },
27 "merchantReference": "string",
28 "refundId": "string",
29 "refundMerchantReference": "string",
30 "refundedAt": "2023-01-01T00:00:00.000",
31 "requestId": "string"
32 }
33 ],
34 "orderDetails": {
35 "consumer": {
36 "email": "test@example.com",
37 "givenNames": "Joe",
38 "surname": "Consumer",
39 "phoneNumber": "0400 000 000"
40 },
41 "billing": {
42 "name": "Joe Consumer",
43 "line1": "Level 8",
44 "area1": "Melbourne",
45 "region": "VIC",
46 "postcode": "3000",
47 "countryCode": "AU",
48 "line2": "390 Collins Street",
49 "area2": "string",
50 "phoneNumber": "0400 000 000"
51 },
52 "courier": {
53 "shippedAt": "2025-08-24T14:15:22Z",
54 "name": "USA Post",
55 "tracking": "AA0000000000000",
56 "priority": "STANDARD"
57 },
58 "items": [
59 {
60 "name": "Blue Carabiner",
61 "quantity": 1,
62 "price": {
63 "amount": "100.00",
64 "currency": "AUD"
65 },
66 "sku": "string",
67 "pageUrl": "https://merchant.example.com/carabiner-354193.html",
68 "imageUrl": "https://merchant.example.com/carabiner-7378-391453-1.jpg",
69 "categories": [
70 [
71 "string"
72 ]
73 ],
74 "estimatedShipmentDate": "2023-08-01",
75 "preorder": false
76 }
77 ],
78 "discounts": [
79 {
80 "displayName": "New Customer Coupon",
81 "amount": {
82 "amount": "100.00",
83 "currency": "AUD"
84 }
85 }
86 ],
87 "taxAmount": {
88 "amount": "100.00",
89 "currency": "AUD"
90 },
91 "shippingAmount": {
92 "amount": "100.00",
93 "currency": "AUD"
94 }
95 },
96 "events": [
97 {
98 "id": "1OUR16OTqL3DgJ3ELlwKowU9v6K",
99 "created": "2023-09-01T00:00:00.000Z",
100 "expires": "2023-09-01T01:00:00.000Z",
101 "type": "AUTH_APPROVED",
102 "amount": {
103 "amount": "100.00",
104 "currency": "AUD"
105 },
106 "paymentEventMerchantReference": "string"
107 }
108 ]
109 }
110 ]
111}
This endpoint retrieves a collection of payments along with their order details. **Connection Timeouts** | Timeout | Time (Seconds) | |---------|----------------| | Open | 10 | | Read | 20 |
Was this page helpful?
Previous

Auth

Next
Built with

This endpoint retrieves a collection of payments along with their order details.

Connection Timeouts

TimeoutTime (Seconds)
Open10
Read20

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Headers

User-AgentstringRequired
AcceptstringOptionalDefaults to application/json

Query parameters

toCreatedDatestringOptionalDefaults to 2020-12-30
An inclusive end date and time to search, in [ISO 8601](http://www.iso.org/iso/home/standards/iso8601.htm) format.
fromCreatedDatestringOptionalDefaults to 2020-01-01
An inclusive start date and time to search, in [ISO 8601](http://www.iso.org/iso/home/standards/iso8601.htm) format.
tokenslist of stringsOptional
One or more order tokens to search for.
includeNextLinkbooleanOptionalDefaults to false
Returns a modified pagination object which includes a URL to return the next page. The default value is false.
idslist of stringsOptional
One or more Afterpay Order IDs to search for.
merchantReferenceslist of stringsOptional
One or more Merchant Reference IDs to search for.
statuseslist of stringsOptional
One or more Afterpay Order Statuses to search for. Possible values include "APPROVED" and "DECLINED".
orderBystringOptionalDefaults to createdAt
A field to order results by. If provided, must be one of "createdAt", "id", "totalAmount", "merchantReference" or "email".
ascendingbooleanOptionalDefaults to false

true to order results in ascending order, or false for descending order.

Response

Returns the matching Payment objects, enclosed in a Pagination object.
totalResultsinteger
Total number of results
offsetinteger
The offer of the pagination
limitinteger
The number of payments to include in the results
resultslist of objects

Errors

422
Unprocessable Entity Error
500
Internal Server Error

An inclusive end date and time to search, in ISO 8601 format.

An inclusive start date and time to search, in ISO 8601 format.